INTERFACE
SUBROUTINE OPTFILB(KLEN,KTYPE,KBANDS,KGRID,LDPRINT,PF,PFX,PWTX,PDEVIA,PHW)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KTYPE
INTEGER(KIND=JPIM),INTENT(INOUT) :: KBANDS
INTEGER(KIND=JPIM),INTENT(INOUT) :: KGRID
LOGICAL ,INTENT(IN) :: LDPRINT
REAL(KIND=JPRB) ,INTENT(IN) :: PF(20)
REAL(KIND=JPRB) ,INTENT(IN) :: PFX(10)
REAL(KIND=JPRB) ,INTENT(IN) :: PWTX(10)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDEVIA(10)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHW(181)
END SUBROUTINE OPTFILB
END INTERFACE
